<?xml version="1.0" encoding="windows-1251" ?>
<!-- file: test.xslt -->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output method="xml" 
    indent ="yes" 
		encoding="windows-1251" 
		omit-xml-declaration="no" />
	
	<xsl:param name="prmElementName" />
	
	<xsl:template match="/">
    <result>  
      <xsl:apply-templates select="/./*" />
    </result>
	</xsl:template>
	
	<xsl:template match="@*|node()">
    <xsl:choose>
      <xsl:when test ="local-name()=$prmElementName">
        <xsl:copy>
          <xsl:copy-of select ="@*|node()" />
        </xsl:copy>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select="@*|node()" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>